LINUX.ORG.RU

Gentoo, модуль python importlib.metadata при сборке x11-misc/shared-mime-info не найден

 ,


0

1

Модули устанавливал:

[ebuild   R    ] dev-python/importlib_metadata-3.7.0::gentoo
при попытке собрать x11-misc/shared-mime-info
Traceback (most recent call last):                                                                                                                
  File "/usr/lib/python-exec/python3.7/meson", line 10, in <module>      
    from importlib.metadata import distribution
ModuleNotFoundError: No module named 'importlib.metadata'                
                                                                         
During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.7/meson", line 13, in <module>
    from importlib_metadata import distribution
ModuleNotFoundError: No module named 'importlib_metadata'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.7/meson", line 15, in <module>
    from pkg_resources import load_entry_point
ModuleNotFoundError: No module named 'pkg_resources'
Гуглил, по советам с просторов установил модули. Не помогло. Что ему нужно?

★★★★★

Ответ на: комментарий от burato

А чего это он хочет старую версию пакета? Если он обновляется, он тянет новую за собой. Ладно, пропишите emerge -av dev-python/importlib_metadata, она обновит этот один пакет, если у вас таки обновлены репозитории, то будет буква U.

fernandos ★★★ ()

python3.7

Показывай emerge --info dev-python/importlib_metadata

Сдаётся мне ты пытаешься собрать c Python 3.8, вот и огребаешь

Pinkbyte ★★★★★ ()
Ответ на: комментарий от Pinkbyte
USE="-doc -test" PYTHON_TARGETS="python3_8 (-pypy3) -python3_7 -python3_9"

да, а я же просил его в юзах на 3.7 собирать, почему он игнорирует?

burato ★★★★★ ()
Ответ на: комментарий от burato

Какую команду запускаешь для установки? И какой её вывод?

Если системный у тебя python 3.8, а просишь собрать для 3.7, то тебе, в данном случае нужно и meson собрать дополнительно для 3.7, тогда и importlib, возможно будет собран для 3.7, если он есть в зависимостях meson.

Или просто убедиться, что и importlib_metadata собран для 3.7 тоже, раз meson, судя по всему запускается для 3.7 (хотя ему вообще, по идее должно быть всё равно из под какого питона работать)

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от burato

Переставь(через eselect python) активную версию Python(или вообще удали Python 3.7, у тебя уже небось почти вся система с на 3.8 обновлена). А в ебилде shared-mime-info скорее всего баг. Или meson у тебя еще собран с Python 3.7 и без Python 3.8 - вот и получается что выбора то особо и нет

Pinkbyte ★★★★★ ()
Последнее исправление: Pinkbyte (всего исправлений: 2)
Ответ на: комментарий от Pinkbyte

А случаем ек знаешь, как emerge прерванный по ошибке заставить дособрать пакет с того же места, где остановился?

burato ★★★★★ ()

from importlib.metadata import distribution from importlib_metadata import distribution

Это должно быть 2 модуля? importlib.metadata и importlib_metadata? Чую какую то лажу!

anonymous ()
Ответ на: комментарий от burato

Иногда срабатывает ebuild путь_к_ebuild_файлу. ebuild compile merge

Но зависит от ошибки, например если место кончилось или библиотеки не хватало внешней для линковки.

grem ★★★★★ ()
Ответ на: комментарий от burato

Но зачем? Какой-то из пакетов не портирован на 3.8 или тебе именно 3.7 нужен?

grem ★★★★★ ()
Ответ на: комментарий от Pinkbyte

ebuild compile вродь с того места запускает.

раз уж пошли типсы, расскажите про триггер при обновлении пакета. Проскакивало на форуме (требуется после обновления ядра запустить скрипт по сборке).

про nvidia почему ебилд требует framebuffer (хотя по вике наоборот вырубить)

Important

For x86 and AMD64 processors, the in-kernel framebuffer driver conflicts with the binary driver provided by NVIDIA. When compiling the kernel for these CPUs, completely remove support for the in-kernel driver as shown:

и еще про хинтинги поведайте, че там инфиналити все? уже маскировки, на что менять как шрифты готовить

deity ★★★★ ()
Ответ на: комментарий от burato

мне откуда знать где у тебя ебилды лежат.

если не с оверлея то ebuild /usr/portage/dev-python/importlib_metadata/importlib_metadata-3.7.3.ebuild unpack

deity ★★★★ ()
Ограничение на отправку комментариев: только для зарегистрированных пользователей